#include <PalmOS.h>
#define sysTrapPceNativeCall							0xA45A
#include "endianutils.h"
#include "PceNativeCall.h"
#include "StdIOPalm.c"

//  1c:	e12fff1e 	bx	lr

Int16 SioMain(UInt16 argc, const Char* argv[ ]){
	UInt32 t0;
	UInt32 s0;
	UInt32 tps, i = 0;
	UInt8 *p;
	void *p1;

	t0 = TimGetTicks();
	s0 = TimGetSeconds();
	tps = SysTicksPerSecond();
	p = MemPtrNew(4);
	p1 = p;
	p[0] = 0x1e;
	p[1] = 0xff;
	p[2] = 0x2f;
	p[3] = 0xe1;	
	FtrSet('NoCa', 1, 0);
	PceNativeCall(p1, NULL);
	FtrSet('NoCa', 1, 1);
	while(TimGetTicks() - t0 < tps){
		PceNativeCall(p1, NULL);
		i++;
	}
	FtrSet('NoCa', 1, 0);
	printf("%ld calls per second\n", i);
	return 0;
}
